View Issue Details

IDProjectCategoryView StatusLast Update
0003291gnunet-gtkgnunet-conversation-gtkpublic2014-04-08 16:41
ReporterChristian GrothoffAssigned Toyids 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003291: use currently incoming address is an invalid choice in 'adding contact'
DescriptionIn the 'Adding contact' dialog, the option "use currently incoming addres(s)" (misspelled) is active even though there is no incoming call. I would also do this differently, with the dialog's widgets being integrated in the main window (name of contact, address of contact, combined with the existing 'add' button). The 'use currently incoming address' button should then be only sensitive if there is actually an address that can be used.

The "incoming" address is also not unique, as there might be multiple incoming calls in parallel; we should probably use the top area of the window to display a list of all incoming calls (and show the current status ONLY in the status bar). Then, the 'use currently incoming address' button could be activated if an incoming call is selected from the list, and used to copy the address to the 'address' field in the 'adding contract' area of the dialog.
TagsNo tags attached.

Activities

hark

2014-02-16 17:22

reporter   ~0008115

fixed,
the button now works on the call that is selected in the active call list

Issue History

Date Modified Username Field Change
2014-01-30 13:43 Christian Grothoff New Issue
2014-01-30 13:46 Christian Grothoff Assigned To => yids
2014-01-30 13:46 Christian Grothoff Status new => assigned
2014-01-30 13:46 Christian Grothoff Category gnunet-identity-gtk => gnunet-conversation-gtk
2014-02-16 17:22 hark Note Added: 0008115
2014-02-16 17:22 hark Status assigned => resolved
2014-02-16 17:22 hark Resolution open => fixed
2014-03-04 22:58 Christian Grothoff Fixed in Version => 0.10.1
2014-03-04 22:58 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed